Create leg (term)
Creates new smart transfer ticket term (when the ticket status is DRAFT). Learn more about Fireblocks Smart Transfers in the following guide. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
POST
/
smart-transfers
/
{ticketId}
/
terms
TypeScript
const response: Promise<FireblocksResponse<SmartTransferTicketTermResponse>> = fireblocks.smartTransfer.createTicketTerm(smartTransferApiCreateTicketTermRequest);CompletableFuture<ApiResponse<SmartTransferTicketTermResponse>> response = fireblocks.smartTransfer().createTicketTerm(smartTransferCreateTicketTerm, ticketId, idempotencyKey);response = fireblocks.smart_transfer.create_ticket_term(smart_transfer_create_ticket_term, ticket_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/smart-transfers/{ticketId}/terms \
--header 'Content-Type: application/json' \
--data '
{
"asset": "BTC",
"amount": "133.789161216184",
"fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
"toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
asset: 'BTC',
amount: '133.789161216184',
fromNetworkId: '947c6115-1f5f-4fb4-9fd6-a1f9dee14670',
toNetworkId: '5d009697-c29b-48e0-aff8-1f4305d19dc2'
})
};
fetch('https://api.fireblocks.io/v1/smart-transfers/{ticketId}/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"data": {
"id": "84601ee2-b10f-4aa8-be9c-dba259a3533a",
"ticketId": "900f04c3-83bc-428d-b681-aef682059637",
"asset": "BTC",
"amount": "133.789161216184",
"fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
"fromNetworkIdName": "Source network profile name",
"toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2",
"toNetworkIdName": "Destination network profile name",
"txHash": "0x2446f1fd773fbb9f080e674b60c6a033c7ed7427b8b9413cf28a2a4a6da9b56c",
"fbTxId": "79075e8c-1fd9-4c97-9575-3bd9229e5c0d",
"txStatus": "COMPLETED",
"status": "CREATED",
"createdAt": "2023-03-01T11:23:00Z",
"updatedAt": "2023-03-01T11:23:00Z",
"dvpSrcDstVaultId": 1,
"amountUsd": "1333.789161216184"
}
}{
"message": "You do not have permission to execute this action",
"code": 3002
}{
"message": "Your request contains invalid data",
"code": "2e7a7a5d-c85c-4ea5-9adf-668cba8b4eb4"
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
Body
application/json
Asset name
Example:
"BTC"
Amount
Example:
"133.789161216184"
Identifier of the origination Network Profile
Example:
"947c6115-1f5f-4fb4-9fd6-a1f9dee14670"
Identifier of the destination Network Profile
Example:
"5d009697-c29b-48e0-aff8-1f4305d19dc2"
Was this page helpful?
Previous
Get Smart Transfer ticket termFind a specific term of a specific Smart Transfer ticket. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<SmartTransferTicketTermResponse>> = fireblocks.smartTransfer.createTicketTerm(smartTransferApiCreateTicketTermRequest);CompletableFuture<ApiResponse<SmartTransferTicketTermResponse>> response = fireblocks.smartTransfer().createTicketTerm(smartTransferCreateTicketTerm, ticketId, idempotencyKey);response = fireblocks.smart_transfer.create_ticket_term(smart_transfer_create_ticket_term, ticket_id, idempotency_key);